﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCIC_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCOCIC_ALLOTRESULT', 'T_OCOCIC_ALLOTRESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_ALLOTRESULT_CODE') CREATE INDEX IDX_OCOCIC_ALLOTRESULT_CODE ON T_OCOCIC_ALLOTRESULT ( FRESULTCODE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_ALLOTRESULT_KEY') CREATE INDEX IDX_OCOCIC_ALLOTRESULT_KEY ON T_OCOCIC_ALLOTRESULT ( FRESULTKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_ALLOTRESULT_TIME') CREATE INDEX IDX_OCOCIC_ALLOTRESULT_TIME ON T_OCOCIC_ALLOTRESULT ( FINVALIDBEGINTIME ,FINVALIDENDTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_ALLOTRESULT_CTIME') CREATE INDEX IDX_OCOCIC_ALLOTRESULT_CTIME ON T_OCOCIC_ALLOTRESULT ( FCREATETIME  DESC );


 EXEC P_ALTERPK 'PK_OCOCIC_ALLOTRESULT_WB', 'T_OCOCIC_ALLOTRESULT_WB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_ALLOTRESULTWB_BILL') CREATE INDEX IDX_OCOCIC_ALLOTRESULTWB_BILL ON T_OCOCIC_ALLOTRESULT_WB ( FBILLENTITY ,FBILLID ,FENTRYID ,FSUBENTRYID );


 EXEC P_ALTERPK 'PK_OCOCIC_ALLOTRESULT_WBE', 'T_OCOCIC_ALLOTRESULT_WBE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_ALLOTRESULTWBE_FID') CREATE INDEX IDX_OCOCIC_ALLOTRESULTWBE_FID ON T_OCOCIC_ALLOTRESULT_WBE ( FID );


 EXEC P_ALTERPK 'PK_OCOCIC_ALLOTRESULTLOG', 'T_OCOCIC_ALLOTRESULTLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_ALLOTRESULTLOG_BILL') CREATE INDEX IDX_OCOCIC_ALLOTRESULTLOG_BILL ON T_OCOCIC_ALLOTRESULTLOG ( FBILLID ,FENTRYID ,FSUBENTRYID );


 EXEC P_ALTERPK 'PK_OCOCIC_ALLOTRESULTQTY', 'T_OCOCIC_ALLOTRESULTQTY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_ALLOTRESULTQTY_KEY') CREATE INDEX IDX_OCOCIC_ALLOTRESULTQTY_KEY ON T_OCOCIC_ALLOTRESULTQTY ( FRESULTQTYKEY );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCIC_constraint.sql **/
