﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCIC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_ALLOTRESULT') 
 CREATE TABLE T_OCOCIC_ALLOTRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FINVALIDBEGINTIME DATETIME,
FINVALIDENDTIME DATETIME,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FRESERVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESULTQTYID BIGINT DEFAULT 0 NOT NULL,
FALLOTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRESULTKEY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRESULTCODE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRESULTQTYKEY NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_ALLOTRESULT_WB') 
 CREATE TABLE T_OCOCIC_ALLOTRESULT_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYID BIGINT DEFAULT 0 NOT NULL,
FSUMRESERVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_ALLOTRESULT_WBE') 
 CREATE TABLE T_OCOCIC_ALLOTRESULT_WBE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FALLOTRESULTID BIGINT DEFAULT 0 NOT NULL,
FRESERVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_ALLOTRESULTLOG') 
 CREATE TABLE T_OCOCIC_ALLOTRESULTLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUPDATETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYID BIGINT DEFAULT 0 NOT NULL,
FALLOTRESULTID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_ALLOTRESULTQTY') 
 CREATE TABLE T_OCOCIC_ALLOTRESULTQTY (
FID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAVBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESERVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESULTQTYKEY NVARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCIC_table.sql **/
