﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCIC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_TRANSENTRY_F') 
 CREATE TABLE T_OCOCIC_TRANSENTRY_F (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE VARCHAR(5) DEFAULT 'NULL' NOT NULL,
FDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_TRANSENTRY') 
 CREATE TABLE T_OCOCIC_TRANSENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOTNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTDATE DATETIME,
FEXPIREDATE DATETIME,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FSERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_TRANSENTRY_R') 
 CREATE TABLE T_OCOCIC_TRANSENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FCOREBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FCOREBILLID BIGINT DEFAULT 0 NOT NULL,
FCOREBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOREBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOREBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FJOININBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINOUTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOUTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_TRANSENTRY_T') 
 CREATE TABLE T_OCOCIC_TRANSENTRY_T (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FOUTOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FOUTOWNERID BIGINT DEFAULT 0 NOT NULL,
FOUTKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FOUTKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOUTWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FOUTLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FOUTSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FOUTSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FOUTPROJECTID BIGINT DEFAULT 0 NOT NULL,
FINOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FINOWNERID BIGINT DEFAULT 0 NOT NULL,
FINKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FINKEEPERID BIGINT DEFAULT 0 NOT NULL,
FINWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FINLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINSTOCKTYPE BIGINT DEFAULT 0 NOT NULL,
FINSTOCKSTATUS BIGINT DEFAULT 0 NOT NULL,
FINPROJECTID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_TRANSSERIAL') 
 CREATE TABLE T_OCOCIC_TRANSSERIAL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSERIALID BIGINT DEFAULT 0 NOT NULL,
FSERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSERIALCOMMENT NVARCHAR(500) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCIC_TRANSBILL') 
 CREATE TABLE T_OCOCIC_TRANSBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FTRANSBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FOUTCHANNELID BIGINT DEFAULT 0 NOT NULL,
FOUTWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FINCHANNELID BIGINT DEFAULT 0 NOT NULL,
FINWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLESTATUS CHAR(1) DEFAULT '0' NOT NULL,
FSUMRECAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVALIDSTATUS CHAR(1) DEFAULT 'N' NOT NULL,
FBIZCLOSE CHAR(1) DEFAULT 'N' NOT NULL
);
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCIC_table.sql **/
