﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCIC_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCOCIC_INBILLSERIA', 'T_OCOCIC_INBILLSERIA', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_INBILLSERIAL_EID') CREATE INDEX IDX_OCOCIC_INBILLSERIAL_EID ON T_OCOCIC_INBILLSERIA ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCOCIC_OCCUPYRECORDS', 'T_OCOCIC_OCCUPYRECORDS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_OCCUPYREC_NO') CREATE INDEX IDX_OCOCIC_OCCUPYREC_NO ON T_OCOCIC_OCCUPYRECORDS ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOCIC_CHNLOUT_ENTRY', 'T_OCOCIC_CHNLOUT_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHNLOUTENTRY_FID') CREATE INDEX IDX_OCOCIC_CHNLOUTENTRY_FID ON T_OCOCIC_CHNLOUT_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOCIC_CHNLOUT_ENTRY_F', 'T_OCOCIC_CHNLOUT_ENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHNLOUTENTRYF_FID') CREATE INDEX IDX_OCOCIC_CHNLOUTENTRYF_FID ON T_OCOCIC_CHNLOUT_ENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCOCIC_CHNLOUT_ENTRY_R', 'T_OCOCIC_CHNLOUT_ENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHNLOUTENTRYR_FID') CREATE INDEX IDX_OCOCIC_CHNLOUTENTRYR_FID ON T_OCOCIC_CHNLOUT_ENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_OCOCIC_CHNLOUT_SN', 'T_OCOCIC_CHNLOUT_SN', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHNLOUTSN_EID') CREATE INDEX IDX_OCOCIC_CHNLOUTSN_EID ON T_OCOCIC_CHNLOUT_SN ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCOCIC_INBILL', 'T_OCOCIC_INBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_INBILL_BILLNO') CREATE INDEX IDX_OCOCIC_INBILL_BILLNO ON T_OCOCIC_INBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOCIC_INBILLENTRY', 'T_OCOCIC_INBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_INBILLENTRY_FID') CREATE INDEX IDX_OCOCIC_INBILLENTRY_FID ON T_OCOCIC_INBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOCIC_INBILLENTRY_F', 'T_OCOCIC_INBILLENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_INBILLENTRYF_FID') CREATE INDEX IDX_OCOCIC_INBILLENTRYF_FID ON T_OCOCIC_INBILLENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCOCIC_INBILLENTRY_S', 'T_OCOCIC_INBILLENTRY_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_INBILLENTRYS_FID') CREATE INDEX IDX_OCOCIC_INBILLENTRYS_FID ON T_OCOCIC_INBILLENTRY_S ( FID );


 EXEC P_ALTERPK 'PK_OCOCIC_INBILLENTRY_W', 'T_OCOCIC_INBILLENTRY_W', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_INBILLENTRYW_FID') CREATE INDEX IDX_OCOCIC_INBILLENTRYW_FID ON T_OCOCIC_INBILLENTRY_W ( FID );


 EXEC P_ALTERPK 'PK_OCOCIC_CHLINVACCLOG', 'T_OCOCIC_CHLINVACCLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHLINVACCLOG_CI') CREATE INDEX IDX_OCOCIC_CHLINVACCLOG_CI ON T_OCOCIC_CHLINVACCLOG ( FCHANNELID ,FITEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHLINVACCLOG_BEID') CREATE INDEX IDX_OCOCIC_CHLINVACCLOG_BEID ON T_OCOCIC_CHLINVACCLOG ( FBILLID ,FBILLENTRYID );


 EXEC P_ALTERPK 'PK_OCOCIC_CHANNELINVACC', 'T_OCOCIC_CHANNELINVACC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHANNELINVACC_UKEY') CREATE UNIQUE INDEX IDX_OCOCIC_CHANNELINVACC_UKEY ON T_OCOCIC_CHANNELINVACC ( FUPDATEKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHANNELINVACC_CIS') CREATE INDEX IDX_OCOCIC_CHANNELINVACC_CIS ON T_OCOCIC_CHANNELINVACC ( FCHANNELID ,FITEMID ,FSALEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHANNELINVACC_LC') CREATE INDEX IDX_OCOCIC_CHANNELINVACC_LC ON T_OCOCIC_CHANNELINVACC ( FLOTNUM ,FCHANNELID );


 EXEC P_ALTERPK 'PK_OCOCIC_CHNLOUT', 'T_OCOCIC_CHNLOUT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHNLOUT_NO') CREATE INDEX IDX_OCOCIC_CHNLOUT_NO ON T_OCOCIC_CHNLOUT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHNLOUT_ORG') CREATE INDEX IDX_OCOCIC_CHNLOUT_ORG ON T_OCOCIC_CHNLOUT ( FSALEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHNLOUT_OUT') CREATE INDEX IDX_OCOCIC_CHNLOUT_OUT ON T_OCOCIC_CHNLOUT ( FOUTCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCIC_CHNLOUT_ORDER') CREATE INDEX IDX_OCOCIC_CHNLOUT_ORDER ON T_OCOCIC_CHNLOUT ( FENQUIRYCHANNELID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCIC_constraint.sql **/
